Description

This is more appropriate for some contexts, for example monthly reports which you want sorted chronologically in reversed order

Example:

`{{child_pages(reverse, depth=2) }}`

History

#1 - 2020-05-22 12:44 - F. P.

+1

This is very helpful when storing documentation/protocols in a wiki. Atm one has to scroll down a lot when there are lots of entries. We tried

Documents, but there is no changelog.

#2 - 2020-05-24 14:25 - Go MAEDA

- Category set to Text formatting

#3 - 2021-06-29 11:45 - F. P.

- File reverse.patch added

First: I'm no ruby developer.

I tried to extend the child_pages macro with the suggested reverse argument.

I would be glad if someone could:

check if the code is sane

test this in a development setup

Patch is attached. If I can do something else please point me in the right direction.

#4 - 2023-03-23 13:58 - F. P.

- File reverse.patch added

I had the opportunity to ask a colleague that knows ruby to review my patch. The attached updated patch is working fine in our 5.0.3 install.

Just in case someone wants to use it.

#5 - 2025-02-10 22:59 - F. P.

The changes still work in 6.0.3.

I applied the changes manually, because the macros.rb changed.

Files

reverse.patch 1.51 KB 2021-06-29 F. P.

reverse.patch 1.51 KB 2023-03-23 F. P.
